ShopLens- Premium
Introduction
This API allows users to extract merchant details from images/pdf urls. It accepts a list of images and returns information about the merchant fetched from the banner and inventory image, such as the shop name, owner's name, contact number, address, industry, isMovable, and MCC codes.
MCC codes list includes list of NPCI, VISA and Mastercard MCC codes.
The expected image order is:
- Shopboard Image
- CPV business pic
- CPV internal view
- CPV person met
API details
Endpoint
https://api.signzy.app/api/v3/extraction/merchant-detail-premiumPOST https://api-preproduction.signzy.app/api/v3/extraction/merchant-detail-premiumRequest headers
Name | Value | Description | Required |
|---|---|---|---|
files | Array of URLs | URLs of the image separated by comma (if multiple) Acceptable image format JPEG/JPG, PNG, PDF(MAX of 10 pages) | Mandatory |
{
"files": [
"https://preproduction-persist.signzy.tech/api/files/xxxx/download/xxxx.jpg"
]
}Code samples
curl --location 'https://api-preproduction.signzy.app/api/v3/extraction/merchant-detail-premium' \
--header 'Content-Type: application/json' \
--header 'Authorization: <key>' \
--data '{"files":["https://preproduction-persist.signzy.tech/api/files/xxxx/download/xxxx.jpg"]}'
Response body parameters
Parameter | Data Type | Description |
|---|---|---|
waterMarkDetectedForImage1 | Boolean | "True" if watermark is detected in Image1, otherwise "False" |
waterMarkDetectedForImage2 | Boolean | "True" if watermark is detected in Image2, otherwise "False" |
shopNameExtracted | String | Name of the shop in original language |
shopName | String | Name of the shop in english translation. |
shopOwnerNameExtracted | String | Name of the shop owner in original language |
shopOwnerName | String | Name of the shop owner in english translation |
contactNumber | String | Contact number of shop owner |
addressExtracted | String | Address of shop in original language |
address | String | Address of shop in English translation |
descriptionOfIndustry | Array | List of related industry |
descriptionOfIndustry[].mccCode | String | Merchant Category Code representing the business type. |
descriptionOfIndustry[].description | String | Industry/business category name based on MCC. |
descriptionOfIndustry[].confidenceScore | Number | Confidence score for each MCC code classification. |
articles | Array | List of articles detected in inventory/images |
isMovable | Boolean | Boolean value based on mobility |
gstNumber | String | Gst Number |
inventoryDetected | Boolean | Inventory detected or not |
boardStandeeDetected | Boolean | Board, Banner, Standee detected or not |
shopDetected | Boolean | "True" if a shop is detected in the image. |
faceDetected | Boolean | "True" if a human face is detected in the image. |
gstNumber | String | GST number detected in the image, if available. |
shopBoardType | String | Type of shop board identified (e.g., printed, hand-written), "NA" if unknown. |
shopLivenessCheckForImage1 | Boolean | "True", if shop liveness check passes for Image1. |
shopLivenessCheckForImage2 | Boolean or null | true/false/null depending on liveness detection for Image2. |
webDetectedForImage1 | Boolean | "True" if shopboard is found elsewhere on the web, suggesting reuse. |
webDetectedForImage2 | Boolean or null | true/false/null if shopboard is found elsewhere on the web, suggesting reuse. |
nameInventoryMatch | Boolean | Checks if inventory detected is co-related with extracted name from the shop banner |
isShopOpen | Boolean | Detects if shop is open or not |
isBuildingCompleteWithBanner | Boolean | Detects if the image contains both the shop building as well as the banner |
{
"waterMarkDetectedForImage1": "False",
"waterMarkDetectedForImage2": "NA",
"shopNameExtracted": "भैरू नाथ कंस्ट्रक्शन",
"shopOwnerNameExtracted": "NA",
"contactNumber": "7976956595",
"addressExtracted": "22 आजमपुर रोड फलासिया तहसील झाड़ोल उदयपुर 313204",
"inventoryDetected": true,
"articles": [
"Cement bags",
"Construction materials"
],
"descriptionOfIndustry": [
{
"mccCode": "5039",
"description": "Construction Materials, Not Elsewhere Classified",
"confidenceScore": 95
},
{
"mccCode": "5211",
"description": "Lumber and Building Materials Stores",
"confidenceScore": 90
}
],
"isMovable": "False",
"boardStandeeDetected": true,
"shopDetected": true,
"faceDetected": true,
"gstNumber": "NA",
"shopBoardType": "Permanent",
"shopLivenessCheckForImage1": true,
"shopLivenessCheckForImage2": false,
"webDetectedForImage1": false,
"nameInventoryMatch": true,
"isShopOpen": true,
"isBuildingCompleteWithBanner": true
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!